# The Quote object

### The Quote object

```json
{
  "id": "qt_1Mr7wVLkdIwHu7ixJYSiPTGq",
  "object": "quote",
  "amount_subtotal": 2198,
  "amount_total": 2198,
  "application": null,
  "application_fee_amount": null,
  "application_fee_percent": null,
  "automatic_tax": {
    "enabled": false,
    "liability": null,
    "status": null
  },
  "collection_method": "charge_automatically",
  "computed": {
    "recurring": null,
    "upfront": {
      "amount_subtotal": 2198,
      "amount_total": 2198,
      "total_details": {
        "amount_discount": 0,
        "amount_shipping": 0,
        "amount_tax": 0
      }
    }
  },
  "created": 1680130691,
  "currency": "usd",
  "customer": "cus_NcMfB0SSFHINCV",
  "default_tax_rates": [],
  "description": null,
  "discounts": [],
  "expires_at": 1682722691,
  "footer": null,
  "from_quote": null,
  "header": null,
  "invoice": null,
  "invoice_settings": {
    "days_until_due": null,
    "issuer": {
      "type": "self"
    }
  },
  "livemode": false,
  "metadata": {},
  "number": null,
  "on_behalf_of": null,
  "status": "draft",
  "status_transitions": {
    "accepted_at": null,
    "canceled_at": null,
    "finalized_at": null
  },
  "subscription": null,
  "subscription_data": {
    "description": null,
    "effective_date": null,
    "trial_period_days": null
  },
  "subscription_schedule": null,
  "test_clock": null,
  "total_details": {
    "amount_discount": 0,
    "amount_shipping": 0,
    "amount_tax": 0
  },
  "transfer_data": null
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `amount_subtotal` (integer)
  Total before any discounts or taxes are applied.

- `amount_total` (integer)
  Total after discounts and taxes are applied.

- `application` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the Connect Application that created the quote.

- `application_fee_amount` (integer, nullable)
  The amount of the application fee (if any) that will be requested to be applied to the payment and transferred to the application owner’s Stripe account. Only applicable if there are no line items with recurring prices on the quote.

- `application_fee_percent` (number, nullable)
  A non-negative decimal between 0 and 100, with at most two decimal places. This represents the percentage of the subscription invoice total that will be transferred to the application owner’s Stripe account. Only applicable if there are line items with recurring prices on the quote.

- [`automatic_tax`](https://docs.stripe.com/api/quotes/object.md?query=automatic_tax) (object)
  Settings for automatic tax lookup for this quote and resulting invoices and subscriptions.

- `collection_method` (enum)
  Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay invoices at the end of the subscription cycle or on finalization using the default payment method attached to the subscription or customer. When sending an invoice, Stripe will email your customer an invoice with payment instructions and mark the subscription as `active`. Defaults to `charge_automatically`.
Possible enum values:
  - `charge_automatically`
  - `send_invoice`

- [`computed`](https://docs.stripe.com/api/quotes/object.md?query=computed) (object)
  The definitive totals and line items for the quote, computed based on your inputted line items as well as other configuration such as trials. Used for rendering the quote to your customer.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (string, nullable)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `customer` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The customer who received this quote. A customer is required to finalize the quote. Once specified, you can’t change it.

- `customer_account` (string, nullable)
  The account representing the customer who received this quote. A customer or account is required to finalize the quote. Once specified, you can’t change it.

- `default_tax_rates` (array of strings, expandable (can be expanded into an object with the `expand` request parameter))
  The tax rates applied to this quote.

- `description` (string, nullable)
  A description that will be displayed on the quote PDF.

- `discounts` (array of strings, expandable (can be expanded into an object with the `expand` request parameter))
  The discounts applied to this quote.

- `expires_at` (timestamp)
  The date on which the quote will be canceled if in `open` or `draft` status. Measured in seconds since the Unix epoch.

- `footer` (string, nullable)
  A footer that will be displayed on the quote PDF.

- [`from_quote`](https://docs.stripe.com/api/quotes/object.md?query=from_quote) (object, nullable)
  Details of the quote that was cloned. See the [cloning documentation](https://docs.stripe.com/quotes/clone.md) for more details.

- `header` (string, nullable)
  A header that will be displayed on the quote PDF.

- `invoice` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The invoice that was created from this quote.

- [`invoice_settings`](https://docs.stripe.com/api/quotes/object.md?query=invoice_settings) (object)
  All invoices will be billed using the specified settings.

- [`line_items`](https://docs.stripe.com/api/quotes/object.md?query=line_items) (object, expandable (can be expanded into an object with the `expand` request parameter))
  A list of items the customer is being quoted for.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `metadata` (map)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `number` (string, nullable)
  A unique number that identifies this particular quote. This number is assigned once the quote is [finalized](https://docs.stripe.com/quotes/overview.md#finalize).

- `on_behalf_of` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The account on behalf of which to charge. See the [Connect documentation](https://support.stripe.com/questions/sending-invoices-on-behalf-of-connected-accounts) for details.

- `status` (enum)
  The status of the quote.
Possible enum values:
  - `accepted`
    The customer has accepted the quote and invoice, subscription or subscription schedule has been created.

  - `canceled`
    The quote has been canceled and is no longer valid.

  - `draft`
    The quote can be edited while in this status and has not been sent to the customer.

  - `open`
    The quote has been finalized and is awaiting action from the customer.

- [`status_transitions`](https://docs.stripe.com/api/quotes/object.md?query=status_transitions) (object)
  The timestamps of which the quote transitioned to a new status.

- `subscription` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The subscription that was created or updated from this quote.

- [`subscription_data`](https://docs.stripe.com/api/quotes/object.md?query=subscription_data) (object)
  When creating a subscription or subscription schedule, the specified configuration data will be used. There must be at least one line item with a recurring price for a subscription or subscription schedule to be created.

- `subscription_schedule` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The subscription schedule that was created or updated from this quote.

- `test_clock` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the test clock this quote belongs to.

- [`total_details`](https://docs.stripe.com/api/quotes/object.md?query=total_details) (object)
  Tax and discount details for the computed total amount.

- [`transfer_data`](https://docs.stripe.com/api/quotes/object.md?query=transfer_data) (object, nullable)
  The account (if any) the payments will be attributed to for tax reporting, and where funds from each payment will be transferred to for each of the invoices.
